Bug 70471 - the modification of _ctype.h breaks chinese/mutt
Summary: the modification of _ctype.h breaks chinese/mutt
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Clive Lin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-08-15 10:10 UTC by dhchen
Modified: 2004-08-18 04:42 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dhchen 2004-08-15 10:10:13 UTC
0812's modification of _ctype.h (Implement wcwidth() as an inline function)
breaks chinese/mutt, which has a function also named wcwidth()

Fix: 

add a line to chinese/mutt to use mutt's native wcwidth():
CFLAGS+=-D_DONT_USE_CTYPE_INLINE_
How-To-Repeat: with the newest /usr/include:

cd /usr/ports/chinese/mutt;make install
Comment 1 Lars Thegler freebsd_committer 2004-08-17 20:24:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clive

Over to maintainer
Comment 2 Clive Lin freebsd_committer 2004-08-18 04:42:06 UTC
State Changed
From-To: open->closed

Committed, thanks.